Jagged Alliance Center - Forum

Nowy temat Odpowiedz w temacie  [ Posty: 18 ]  Przejdź na stronę   1, 2  Następna
Autor Wiadomość
Amarel
Post : 28 kwie 2010 12:23
Cytowanie selektywne Odpowiedz z cytatem
Starszy szeregowy
Starszy szeregowy
  • Posty: 14
  • Dołączył: 28.04.2010
  • Skąd: Polska :)


Witam
Instalując modyfikacje 1.13, a następnie spolszczenie do tej modyfikacji napotkałem problem, gdyż kiedy chcę zmodyfikować plik Ja2_Options to wszystko jest niby dobrze, ale wprowadzone zmiany mają swoje odniesienie do gry tylko odpalonej przez pliki wersji angielskiej.

Natomiast wersja polska jest niewzruszona i nie mogę dojść do tego gdzie to zmienić aby wersja polska odczuła zmiany pliku.

Zmian próbowałem dokonać na pliku w folderze Data-1.13 oraz Data, próbowałem w jednym naraz i w obu naraz, nie przyniosło to skutku.

Czy ktoś napotkał ten problem? Będę wdzięczny gdy ktoś wskaże mi sposób na rozwiązanie tego małego problemu :)
Pozdrawiam.

Edit:

Grzebie już od jakiegoś czasu i zauważyłem następujące rzeczy:
plik:
- ja2 - kiedy odpalam go to ustawienia działają normalnie ale nie ma spolszczenia
- JA2_PL_3111_VS2008 - ustawienia się nie zmieniają ale jest spolszczenie
- ja2_3329 - nie ma ani ustawień ani spolszczenia

- vfs_config.JA2Vanilla - plik dostarczony wraz ze spolszczeniem jeśli uruchomi się przez INI Editor z nim to zmienia się AP spowotem na 25
- vfs_config.JA2113 - to samo co powyżej ale AP jest na 100.

Jeśli to coś pomoże to tyle się dowiedziałem metodą prób i błędów...


*
 
Ormus n2o
Post : 28 kwie 2010 22:16
Cytowanie selektywne Odpowiedz z cytatem
Plutonowy
Plutonowy
  • Posty: 163
  • Dołączył: 10.10.2009


Nigdy nie instalowałem polskiej wersji ale może zainstaluj spolszczenie bez plików .ini? Albo po prostu same pliki spolszczenia? Instalacja spolszczenia to archiwów czy plik instalacyjny?


*
 
mtl
Post : 28 kwie 2010 23:45
Cytowanie selektywne Odpowiedz z cytatem
Awatar użytkownika
Podporucznik
Podporucznik
  • Posty: 954
  • Dołączył: 12.06.2006


Jesteś pewny, że nigdzie nie masz jeszcze jednego pliku JA2_Options.ini? Spróbuj znaleźć wszystkie pliki *.ini za pomocą Windowsowej szukajki. Nie instalowałeś nic oprócz spolszczenia? Odpalając grę z polskiego pliku *.exe zaczynasz nową grę, czy wczytujesz zapis? Spróbuj też wgrać spolszczenie bez plików vfs_config.JA2Vanilla.ini i vfs_config.JA2113.ini, ale z tego co jest mi wiadome to nie robi różnicy.

_________________
"There are two kinds of people in the world, my friend.
Those who have a loaded gun and those who dig. You dig!"


*
 
Amarel
Post : 29 kwie 2010 08:11
Cytowanie selektywne Odpowiedz z cytatem
Starszy szeregowy
Starszy szeregowy
  • Posty: 14
  • Dołączył: 28.04.2010
  • Skąd: Polska :)


A więc tak:

ja2_options.ini -> są 2 takie pliki, jeden jest w "Data-1.13", a drugi w "Data"
Edytowanie jednego ani drugiego nie daje nic.

Po kolei instalowałem
- JA2 PL
- modyfikacje 1.13 (z waszej strony, wersje SUV)
- spolszczenie do 1.13 ( również z tej strony)

Odpalanie gry:
JA2_PL_3111_VS2008.exe ze spolszczenia - gra się uruchamia, przy ładowaniu wyskakuje dużo napisów o tym że ustawienia nie zostały ustalone i wybiera domyślne. Rozpoczęcie gry zaczynam oczywiście od nowej gry.
ja2.exe - Tutaj gra odpala się normalnie tylko bez spolszczenia

Zauważyłem że jeśli zacznę grę poprzez plik ja2.exe i się zapisze, a następnie odpalę JA2_PL_3111_VS2008.exe i odczytam zapisaną grę to wyskakuje komunikat o niezgodności wersji gry i zapisu.

W przypadku kiedy pliki vfs_config.JA2Vanilla.ini oraz vfs_config.JA2113.ini do gra nie odpala się poprzez plik *.exe ze spolszczenia
Sprawdziłem przed chwilą, bez tych plików ja2.exe również nie odpala.

Jeśli nie da rady spolszczenia zrobić to nic się nie stało, znam na tyle angielski żeby spokojnie grać.
Nie mniej dziękuje za pomoc :)


*
 
mtl
Post : 29 kwie 2010 09:22
Cytowanie selektywne Odpowiedz z cytatem
Awatar użytkownika
Podporucznik
Podporucznik
  • Posty: 954
  • Dołączył: 12.06.2006


Chodziło mi o to, żebyś nie wgrywał tych dwóch plików *.ini od spolszczenia, a nie usuwał je z czystego 1.13 - bez nich na pewno 1.13 nie ruszy, czy ze spolszczeniem czy nie. A na pewno rozpoczynasz nową grę? Szczerze powiem, to jest najdziwniejszy przypadek błędu w 1.13 z jakim kiedykolwiek miałem styczność (o ile to jest błąd gdy a nie błąd użytkownika ;) ).

_________________
"There are two kinds of people in the world, my friend.
Those who have a loaded gun and those who dig. You dig!"


*
 
Amarel
Post : 29 kwie 2010 09:30
Cytowanie selektywne Odpowiedz z cytatem
Starszy szeregowy
Starszy szeregowy
  • Posty: 14
  • Dołączył: 28.04.2010
  • Skąd: Polska :)


Więc tak:
te dwa pliki wrzuciłem do folderu z grą z moda 1.13
Na grze nie zrobiło to większego wrażenia

Pliki miałem pod ręką gdyż zachowałem sobie zapasową kopie plików przed wrzuceniem - gry oraz moda

Tak rozpoczynam nową grę, za każdym razem kiedy chce sprawdzić czy nastąpiły jakieś zmiany :)


*
 
mtl
Post : 29 kwie 2010 10:17
Cytowanie selektywne Odpowiedz z cytatem
Awatar użytkownika
Podporucznik
Podporucznik
  • Posty: 954
  • Dołączył: 12.06.2006


Hmmm... Mógłbyś zrobić listę plików i folderów jakie masz w folderze z grą? Utwórz nowy plik tekstowy, otwórz go, wklej do środka "dir /s/b >> dir.txt", zmień nazwę na np. dir.bat, wklej go do folderu gry i odpal. W efekcie uzyskasz listę wszystkich plików zapisaną w pliku dir.txt - po wszystkim spakuj go i załącz na forum jako załącznik. Zobaczymy, czy wszystkie pliki są na swoim miejscu - tylko takie błąd mi przychodzi na myśl.

_________________
"There are two kinds of people in the world, my friend.
Those who have a loaded gun and those who dig. You dig!"


*
 
Amarel
Post : 29 kwie 2010 10:23
Cytowanie selektywne Odpowiedz z cytatem
Starszy szeregowy
Starszy szeregowy
  • Posty: 14
  • Dołączył: 28.04.2010
  • Skąd: Polska :)


Oto ten plik

Przeglądanie tego ustrojstwa zajęłoby mi wieki :/


Załączniki:
dir.rar [55.36 KiB]
Pobrany 118 razy
*
 
mtl
Post : 29 kwie 2010 10:29
Cytowanie selektywne Odpowiedz z cytatem
Awatar użytkownika
Podporucznik
Podporucznik
  • Posty: 954
  • Dołączył: 12.06.2006


No i wszystko jasne - problem może być taki, że pobrałeś najnowsze 1.13 SVN z naszego downloadu, a Lukas w tej paczce przez pomyłkę zamieścił też pliki od obsługi repozytorium SVN, które nie są w jakimkolwiek stopniu potrzebne. Cóż, zalecał bym następujące kroki:

- usunięcie całego folderu Ja2 (czyli i Ja2, i 1.13 i spolszczenia).
- instalację czystego Ja2.
- rozpakowanie paczki z 1.13 do osobnego folderu, następnie wyszukanie przez Windowsową szukajkę frazy ".svn" - wyszukają się wszystkie foldery z plikami do obsługi repozytorium - usuń wszystkie te foldery ".svn", dla pewności uruchom wyszukiwanie jeszcze raz i zobacz czy nic nie zostało.
- skopiowanie 1.13 z folderu gdzie go rozpakowałeś do folderu Ja2 (już bez plików z SVN).
- rozpakowanie spolszczenia.

Wszystko powinno być już OK.

_________________
"There are two kinds of people in the world, my friend.
Those who have a loaded gun and those who dig. You dig!"


*
 
Amarel
Post : 29 kwie 2010 10:37
Cytowanie selektywne Odpowiedz z cytatem
Starszy szeregowy
Starszy szeregowy
  • Posty: 14
  • Dołączył: 28.04.2010
  • Skąd: Polska :)


No dziękuje bardzo za udzieloną pomoc. Zaczynam reinstalacje wg wskazań :)

Dam znać za jakieś pół godziny czy wyszło :)

Edit:

A więc jestem już po reinstalacji.
Zrobiłem wg wskazań, z osobnego folderu gdzie rozpakowałem 1.13 usunąłem wszystkie foldery .svn które mi szukajka znalazła.
Następnie zainstalowałem czyste Ja2, skopiowałem pliki 1.13 a następnie skopiowałem pliki spolszczenia 1.13

W pliku Ja2_options.ini zmieniłem początkową ilość pieniędzy na poziomie doświadczony z 35k na 35.5k dla próby czy działa.
Włączyłem nową grę na poziomie doświadczony korzystając z pliku .exe ze spolszczenia
Niestety gra dalej nie słucha tego pliku...

Następnie włączyłem grę poprzez plik ja2.exe - zmiany były od razu po rozpoczęciu nowej gry na poziomie doświadczony

Zastanawia mnie jednak dlaczego korzystając z pliku .exe ze spolszczenia lista błędów przy ładowaniu gry sięga poza ekran, natomiast przy pliku ja2.exe lista ta zawęża się tylko do jednego wpisu błędnego i do tego iż został utworzony raport błędnych wpisów


*
 
mtl
Post : 29 kwie 2010 11:20
Cytowanie selektywne Odpowiedz z cytatem
Awatar użytkownika
Podporucznik
Podporucznik
  • Posty: 954
  • Dołączył: 12.06.2006


To chyba coś z plikiem exe ze spolszczenia, bo innego wyjścia osobiście nie widzę. Ale nikt wcześniej takich błędów nie zgłaszał.

Spróbuj jeszcze skopiować plik JA2_Options.ini do folderu JA2\Profiles\UserProfile_JA2113

_________________
"There are two kinds of people in the world, my friend.
Those who have a loaded gun and those who dig. You dig!"


*
 
Amarel
Post : 29 kwie 2010 11:26
Cytowanie selektywne Odpowiedz z cytatem
Starszy szeregowy
Starszy szeregowy
  • Posty: 14
  • Dołączył: 28.04.2010
  • Skąd: Polska :)


Plik skopiowałem, te informacje przy ładowaniu nadal występowały a gra ma taki sam status nie zmienionej.

W takim razie zaczynam szukać spolszczenia z innego źródła niż pobrałem - może tu jest przyczyna, albo źle się pobrało, chociaż pobirałem go IDM a nie przeglądarką


*
 
Jazz
Post : 29 kwie 2010 11:41
Cytowanie selektywne Odpowiedz z cytatem
Starszy sierżant
Starszy sierżant
  • Posty: 319
  • Dołączył: 09.12.2006


JA2_PL_3111_VS2008.exe to spolszczenie do starszej wersji v1.13 . W dowlandzie JAC jest nowa wersja v1.13 SVN 3329. Od tej wersji plik JA2_Options.ini został mocno przebudowany i nie jest kompatybilny ze starszą wersją v1.13 3111.

Jak masz takie komunikaty http://www.fotosik.pl/pokaz_obrazek/095 ... ec525.html to potrzebujesz spolszczenie dla svn 3329 .


*
 
Amarel
Post : 29 kwie 2010 11:46
Cytowanie selektywne Odpowiedz z cytatem
Starszy szeregowy
Starszy szeregowy
  • Posty: 14
  • Dołączył: 28.04.2010
  • Skąd: Polska :)


Na pierwszy rzut oka mogę powiedzieć że to jest to samo.

W takim razie rozumiem że na nowszą wersje spolszczenia się trochę poczeka, a można gdzieś dostać starszą wersje 1.13, która będzie odpowiadać spolszczeniu?

Wiem jestem strasznie upierdliwy :/


*
 
mtl
Post : 29 kwie 2010 11:50
Cytowanie selektywne Odpowiedz z cytatem
Awatar użytkownika
Podporucznik
Podporucznik
  • Posty: 954
  • Dołączył: 12.06.2006


Jazz pisze:
JA2_PL_3111_VS2008.exe to spolszczenie do starszej wersji v1.13 . W dowlandzie JAC jest nowa wersja v1.13 SVN 3329. Od tej wersji plik JA2_Options.ini został mocno przebudowany i nie jest kompatybilny ze starszą wersją v1.13 3111.

Jak masz takie komunikaty http://www.fotosik.pl/pokaz_obrazek/095 ... ec525.html to potrzebujesz spolszczenie dla svn 3329 .


Jednak co fachowiec, to fachowiec :)

_________________
"There are two kinds of people in the world, my friend.
Those who have a loaded gun and those who dig. You dig!"


*
 
Nowy temat Odpowiedz w temacie Przejdź na stronę   1, 2  Następna


cron